bl_info = {#called a "directory", it's like a lua table
    "category": "Object", #addons catagory
    "name": "Switch to Second UV Layer",
    "blender": (2, 80, 0), #minimum version
    "location": "View3D > Object Menu > Switch to VU Layer",
    "version": (1, 1),
    "author": "fillman86",
}

import bpy #same as "require" in lua, seems all scripts use it 
class switchUvLayerFunction1(bpy.types.Operator): #similar to "local function", bpy.types.Operator "blender moduel"."type of thing to look for"."not sure"
    bl_idname = "object.switch_to_second_uv" #variable string, no need to decalre as lua would "local"?
    bl_label = "Switch to Second UV Layer" #name in the menu
    bl_description = "Switches selected objects to their second UV layer if available" #hover description
    bl_options = {'REGISTER', 'UNDO'} #I found this adds to undo list

    def execute(self, context): #
        for obj in context.selected_objects: #table loop. Finds all objects in "selected objects". "obj" is a table
            if obj.type == 'MESH': #filters out non-objects like empties
                uv_layers = obj.data.uv_layers #obj table has data, and it's a table, we're getting "uv_layers" from it
                if len(uv_layers) > 1: #I should print uv_layers, because what is "len"? seems to give the correct result though
                    uv_layers.active_index = 1 #sets active_index in the uv_layers table
        return {'FINISHED'} #

class switchUvLayerFunction0(bpy.types.Operator):
    bl_idname = "object.switch_to_first_uv"
    bl_label = "Switch to First UV Layer"
    bl_description = "Switches selected objects to their first UV layer"
    bl_options = {'REGISTER', 'UNDO'}

    def execute(self, context): #
        for obj in context.selected_objects:
            if obj.type == 'MESH':
                uv_layers = obj.data.uv_layers
                if len(uv_layers) > 1:
                    uv_layers.active_index = 0
        return {'FINISHED'} #

def menu_func(self, context):
    self.layout.operator(switchUvLayerFunction1.bl_idname)
    self.layout.operator(switchUvLayerFunction0.bl_idname)

def register():
    bpy.utils.register_class(switchUvLayerFunction1)
    bpy.utils.register_class(switchUvLayerFunction0)
    bpy.types.VIEW3D_MT_object.append(menu_func)

def unregister():
    bpy.utils.unregister_class(switchUvLayerFunction1)
    bpy.utils.unregister_class(switchUvLayerFunction0)
    bpy.types.VIEW3D_MT_object.remove(menu_func)

if __name__ == "__main__":
    register()
